Disable a filter definition
curl --request POST \
--url https://api.pocketflows.com/filter_definitions/{id}/disable \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.pocketflows.com/filter_definitions/{id}/disable"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.pocketflows.com/filter_definitions/{id}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"label": "<string>",
"variable_name": "<string>",
"type": "select",
"enabled": true,
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}Filter definitions
Disable a filter definition
POST
/
filter_definitions
/
{id}
/
disable
Disable a filter definition
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the filter definition
Response
200 - application/json
The disabled FilterDefinition
The ID of the filter definition
The label of the filter definition
The variable name of the filter definition
The type of the filter definition
Available options:
select, text, number, boolean, datetime, currency, array_of_known Whether the filter definition is enabled
The options for the select dropdown
Show child attributes
Show child attributes